> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/api-references/inventory/health.md).

# Health

Health commands

## Check if the server is up and responding

> Returns a 200 OK if the server can be reached

```json
{"openapi":"3.0.3","info":{"title":"Inventory Service - OpenAPI 3.0","version":"0.1.0"},"tags":[{"name":"Health","description":"Health commands"}],"paths":{"/api/healthy":{"get":{"tags":["Health"],"summary":"Check if the server is up and responding","description":"Returns a 200 OK if the server can be reached","operationId":"healthStatus","responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Healthy"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Healthy"}}}}}}}},"components":{"schemas":{"Healthy":{"type":"object","properties":{"status":{"type":"string"}}}}}}
```

## Check if the server can connect to all its dependencies

> Returns a 200 OK if the server can reach all its dependencies like databases, RabbitMQ and OpenSearch.

```json
{"openapi":"3.0.3","info":{"title":"Inventory Service - OpenAPI 3.0","version":"0.1.0"},"tags":[{"name":"Health","description":"Health commands"}],"paths":{"/api/ready":{"get":{"tags":["Health"],"summary":"Check if the server can connect to all its dependencies","description":"Returns a 200 OK if the server can reach all its dependencies like databases, RabbitMQ and OpenSearch.","operationId":"readyStatus","responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ready"}},"application/xml":{"schema":{"$ref":"#/components/schemas/Ready"}}}}}}}},"components":{"schemas":{"Ready":{"type":"object","properties":{"status":{"type":"string"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.i3d.net/api-references/inventory/health.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
